Package ghidra.app.decompiler.component

# Class LocationClangHighlightController

java.lang.Object
ghidra.app.decompiler.component.ClangHighlightController
ghidra.app.decompiler.component.LocationClangHighlightController

public class LocationClangHighlightController extends ClangHighlightController
Class to handle location based highlights for a decompiled function.

- ## Field Summary

  ### Fields inherited from class ghidra.app.decompiler.component.ClangHighlightController

  `DEFAULT_HIGHLIGHT_COLOR, defaultHighlightColor, defaultParenColor`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocationClangHighlightController()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `fieldLocationChanged(FieldLocation location, Field field, EventTrigger trigger)`

  ### Methods inherited from class ghidra.app.decompiler.component.ClangHighlightController

  `addHighlighter, addHighlighterHighlights, addListener, addPrimaryHighlight, addPrimaryHighlights, addPrimaryHighlights, addPrimaryHighlightToTokensForBrace, addPrimaryHighlightToTokensForParenthesis, addSecondaryHighlighter, blend, clearPrimaryHighlights, dispose, dummyIfNull, getCombinedColor, getGeneratedColorProvider, getHighlightedToken, getHighlighterHighlights, getPrimaryHighlights, getSecondaryHighlight, getSecondaryHighlightColors, getSecondaryHighlighters, getServiceHighlighters, getUpdateId, hasContextHighlight, hasSecondaryHighlight, hasSecondaryHighlights, notifyListeners, reapplyAllHighlights, removeHighlighter, removeHighlighterHighlights, removeListener, removeSecondaryHighlights, removeSecondaryHighlights, togglePrimaryHighlights`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LocationClangHighlightController

    public LocationClangHighlightController()

- ## Method Details

  - ### fieldLocationChanged

    public void fieldLocationChanged(FieldLocation location, Field field, EventTrigger trigger)
    Specified by:
      `fieldLocationChanged` in class `ClangHighlightController`